Chromium Code Reviews
Help | Chromium Project | Sign in
(4)

Issue 2695203004: Clean up RTCVideoFrame (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 month, 1 week ago by magjed_webrtc_OOO
Modified:
1 month ago
Reviewers:
daniela-webrtc
CC:
webrtc-reviews_webrtc.org, tterriberry_mozilla.com
Target Ref:
refs/heads/master
Project:
webrtc
Visibility:
Public.

Description

Clean up RTCVideoFrame RTCVideoFrame is an ObjectiveC version of webrtc::VideoFrame, but it currently contains some extra logic beyond that. We want RTCVideoFrame to be as simple as possible, i.e. just a container with no extra state, so we can use it as input to RTCVideoSource without complicating the interface for consumers. BUG=webrtc:7177 NOTRY=True Review-Url: https://codereview.webrtc.org/2695203004 Cr-Commit-Position: refs/heads/master@{#16740} Committed: https://chromium.googlesource.com/external/webrtc/+/7ee512581c589b40302e67140a2c426edcd40249

Patch Set 1 #

Total comments: 8

Patch Set 2 : Fix memory leak. Add ObjC rotation enum. Add space in pointer types. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+84 lines, -122 lines) Patch
M webrtc/sdk/objc/Framework/Classes/RTCEAGLVideoView.m View 1 chunk +0 lines, -6 lines 0 comments Download
M webrtc/sdk/objc/Framework/Classes/RTCI420Shader.mm View 1 4 chunks +17 lines, -17 lines 0 comments Download
M webrtc/sdk/objc/Framework/Classes/RTCNativeNV12Shader.mm View 1 3 chunks +2 lines, -4 lines 0 comments Download
M webrtc/sdk/objc/Framework/Classes/RTCOpenGLVideoRenderer.mm View 1 1 chunk +8 lines, -4 lines 0 comments Download
M webrtc/sdk/objc/Framework/Classes/RTCShader.mm View 1 2 chunks +5 lines, -5 lines 0 comments Download
M webrtc/sdk/objc/Framework/Classes/RTCShader+Private.h View 1 2 chunks +2 lines, -1 line 0 comments Download
M webrtc/sdk/objc/Framework/Classes/RTCVideoFrame.mm View 1 3 chunks +23 lines, -63 lines 0 comments Download
M webrtc/sdk/objc/Framework/Classes/RTCVideoFrame+Private.h View 1 1 chunk +1 line, -5 lines 0 comments Download
M webrtc/sdk/objc/Framework/Classes/RTCVideoRendererAdapter.mm View 1 1 chunk +3 lines, -2 lines 0 comments Download
M webrtc/sdk/objc/Framework/Headers/WebRTC/RTCVideoFrame.h View 1 2 chunks +23 lines, -15 lines 0 comments Download
Commit queue not available (can’t edit this change).

Dependent Patchsets:

Messages

Total messages: 46 (38 generated)
magjed_webrtc_OOO
Daniela - please take a look.
1 month, 1 week ago (2017-02-17 12:16:38 UTC) #19
daniela-webrtc
https://codereview.webrtc.org/2695203004/diff/100001/webrtc/sdk/objc/Framework/Classes/RTCVideoFrame+Private.h File webrtc/sdk/objc/Framework/Classes/RTCVideoFrame+Private.h (left): https://codereview.webrtc.org/2695203004/diff/100001/webrtc/sdk/objc/Framework/Classes/RTCVideoFrame+Private.h#oldcode25 webrtc/sdk/objc/Framework/Classes/RTCVideoFrame+Private.h:25: rotation:(webrtc::VideoRotation)rotation I think in general using Enums is better ...
1 month, 1 week ago (2017-02-17 16:26:34 UTC) #22
daniela-webrtc
https://codereview.webrtc.org/2695203004/diff/100001/webrtc/sdk/objc/Framework/Classes/RTCVideoFrame.mm File webrtc/sdk/objc/Framework/Classes/RTCVideoFrame.mm (right): https://codereview.webrtc.org/2695203004/diff/100001/webrtc/sdk/objc/Framework/Classes/RTCVideoFrame.mm#newcode63 webrtc/sdk/objc/Framework/Classes/RTCVideoFrame.mm:63: - (RTCVideoFrame*)convertToI420 { On 2017/02/17 16:26:34, denicija-webrtc wrote: > ...
1 month ago (2017-02-20 12:17:27 UTC) #23
magjed_webrtc_OOO
https://codereview.webrtc.org/2695203004/diff/100001/webrtc/sdk/objc/Framework/Classes/RTCVideoFrame+Private.h File webrtc/sdk/objc/Framework/Classes/RTCVideoFrame+Private.h (left): https://codereview.webrtc.org/2695203004/diff/100001/webrtc/sdk/objc/Framework/Classes/RTCVideoFrame+Private.h#oldcode25 webrtc/sdk/objc/Framework/Classes/RTCVideoFrame+Private.h:25: rotation:(webrtc::VideoRotation)rotation On 2017/02/17 16:26:34, denicija-webrtc wrote: > I think ...
1 month ago (2017-02-20 16:16:44 UTC) #34
daniela-webrtc
LGTM https://codereview.webrtc.org/2695203004/diff/100001/webrtc/sdk/objc/Framework/Classes/RTCVideoFrame+Private.h File webrtc/sdk/objc/Framework/Classes/RTCVideoFrame+Private.h (left): https://codereview.webrtc.org/2695203004/diff/100001/webrtc/sdk/objc/Framework/Classes/RTCVideoFrame+Private.h#oldcode25 webrtc/sdk/objc/Framework/Classes/RTCVideoFrame+Private.h:25: rotation:(webrtc::VideoRotation)rotation On 2017/02/20 16:16:44, magjed_webrtc wrote: > On ...
1 month ago (2017-02-21 08:30:18 UTC) #37
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.webrtc.org/2695203004/160001
1 month ago (2017-02-21 11:52:56 UTC) #39
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.webrtc.org/2695203004/160001
1 month ago (2017-02-21 12:17:03 UTC) #43
commit-bot: I haz the power
1 month ago (2017-02-21 12:19:50 UTC) #46
Message was sent while issue was closed.
Committed patchset #2 (id:160001) as
https://chromium.googlesource.com/external/webrtc/+/7ee512581c589b40302e67140...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld d1a128a62